> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Add template document



## OpenAPI

````yaml post /template/{template_id}/document
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /template/{template_id}/document:
    post:
      tags:
        - signplus
      summary: Add template document
      operationId: add_template_document
      parameters:
        - in: path
          name: template_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AddTemplateDocumentRequest'
      responses:
        '200':
          description: Document added to envelope successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
      security:
        - BearerAuth:
            - SIGN_ALL_EDIT
components:
  schemas:
    AddTemplateDocumentRequest:
      type: object
      properties:
        file:
          type: string
          format: binary
          description: File to upload in binary format
      required:
        - file
    Document:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the document
        name:
          type: string
          description: Name of the document
        filename:
          type: string
          description: Filename of the document
        page_count:
          type: integer
          description: Number of pages in the document
        pages:
          type: array
          description: List of pages in the document
          items:
            $ref: '#/components/schemas/Page'
    Page:
      type: object
      properties:
        width:
          type: integer
          description: Width of the page in pixels
        height:
          type: integer
          description: Height of the page in pixels
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````